Group management
Updated: Nov 14, 2025Overview
The Groups API gives you simple functions to control groups through their lifecycle. When you create a new group, an invite link is created for inviting participants to the group. Since you cannot manually add participants to the group, simply send a message with your invite link to WhatsApp users who you would like to join the group.Group management features
Create and delete group Groups with join requests enabled Get and reset group invite link Send group invite link template message Remove group participants Get group info Get active groups Update group settings To learn how to message groups, view the Group Messaging reference.Subscribe to groups metadata webhooks
In order to receive webhook notifications for metadata about your groups, please subscribe to the following webhook fields:group_lifecycle_update
group_participants_update
group_settings_update
group_status_update
For a full reference of webhooks for the Groups API, please visit our Webhooks for Groups API reference.
Create group
Use this endpoint to create a new group and generate a group invite link. Once the group is created, you will receive a webhook with aninvite_link parameter that contains an invite link for the group. You can send this invite link to WhatsApp users interested in joining the group.
Optionally, you can create a group that requires join approval. This means that if a WhatsApp user wants to join your group, you can approve or reject their request.
Learn more about groups with join requests enabled.
Request syntax
Create a group with an initial group invite link:POST /<BUSINESS_PHONE_NUMBER_ID>/groups
Request body
Request parameters
Webhooks
Agroup_lifecycle_update webhook is triggered.
Group create succeed
View the “Group create succeed” sample webhookGroup create fail
View the “Group create fail” sample webhookUser joins group using invite link
View the “User joins group using invite link” sample webhookGroups with join requests
You can create groups that require join request approval. Once enabled, WhatsApp users who click the group invitation link can submit a request to join the group, or cancel a prior request: When a WhatsApp user joins the group using a join request, a [group_participants_update webhook for a user accepting the join request] (/documentation/business-messaging/whatsapp/groups/webhooks#user-accepts-or-cancels-join-request) is triggered. You can also get a list of open join requests via API. Use the contents of the webhook or API response to approve or reject requests.
Get join requests
Request syntax
GET /<GROUP_ID>/join_requests
Request parameters
Response syntax
Upon success:Response parameters
Approve join requests
Request syntax
POST /<GROUP_ID>/join_requests
Request body
Request parameters
Response syntax
Upon success, the API will respond with the following JSON payload, and WhatsApp users whose join requests were approved will be able to access the group when tapping the invite link.Response parameters
Webhook
Agroup_participants_update webhook is triggered.
View the “User accepts join request” sample webhook
Reject join requests
Request syntax
DELETE /<GROUP_ID>/join_requests
Request body
Request parameters
Response syntax
Upon success, the API will respond with the following JSON payload, and the WhatsApp user will see the Request to join button again when accessing the group invite link.Response parameters
Webhook
None.Get and reset group invite link
Once an invite link is reset, all previous invite links will become invalid. An invite link for the group is generated when the group is created. Use these endpoints to get and reset group invite links. For each endpoint, you will need your group ID in order to get or reset a link for the correct group as follows:Get group invite link
Request syntax
GET /<GROUP_ID>/invite_link
Response body
invite_link always begins with the prefix https://chat.whatsapp.com/. The only variable portion is <LINK_ID>.
Reset group invite link
Request syntax
POST /<GROUP_ID>/invite_link
Request body
Response body
Send group invite link template message
Template Library contains a utility message template for sending group invite links to WhatsApp users. Use these pre-defined templates to send group invitations as utility messages. In order to keep the template priced asutility, you cannot modify it when you copy it from template library to your WABA.
To send the template message:
Step 1. Add a group invite link template in Template Library to your account templates:
In WhatsApp Manager Navigate to Template Library On the left, click the Group invite link dropdown, then click the Group invite upon request checkbox. Select the template you want to use, give it a name, and click Submit. Via the API You can query template libraries applicable to group invite links using the request below:GET /message_template_library?category=utility&topic=group_invite_link&language=en
Read more about finding and adding the template to your WABA via the api
Template approval may require up to 24 hours. You’ll be able to send messages with this template after its approval.
Step 2. Send the template message
Send the template using the request syntax and body below, substituting your group id, the name you gave your template, and other applicable values. When you provide the group id in the api request, it will be automatically translated into the corresponding group invite link upon message delivery.Request syntax
POST /<BUSINESS_PHONE_NUMBER_ID>/messages
Endpoint parameters
Request body
Webhooks
User joins group using invite link
View the “User joins group using invite link” sample webhookDelete group
This endpoint deletes the group and removes all participants, including the business. No request body is required.Request Syntax
DELETE /<GROUP_ID>
Request properties
Webhooks
Agroup_lifecycle_update webhook is triggered.
Delete group succeed
View the “Delete group succeed” sample webhookDelete group fails
View the “Delete group fails” sample webhookRemove group participants
Use this endpoint to remove participants from the group. Note: If a participant is removed from a group, they can no longer join the group via an invite link.Request syntax
DELETE /<GROUP_ID>/participants
Request body
Request properties
Webhooks
Agroup_participants_update webhook is triggered.
Group participant leaves
View the “Group participant leaves” sample webhookGet group info
Use this endpoint to retrieve metadata about a single group. Note: Specifying no fields in the query parameters will just return the group ID and messaging product.Request syntax
GET /<GROUP_ID>?fields=<FIELDS>
Endpoint parameters
Available fields
Sample response
Get active groups
Use this endpoint to retrieve a list of active groups for a given business phone number.Request syntax
GET /<BUSINESS_PHONE_NUMBER_ID>/groups
Query Parameters
Response Object
Response parameters
Update group settings
Use this webhook to update your group’s subject, description, and photo.Request syntax
POST /<GROUP_ID>
Request body
Request properties
NoteWebhooks
Agroup_settings_update webhook is triggered.

